<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div class="row">
        <div th:class="${!#strings.isEmpty(data.width) ? null : 'col-md-4'}">
            <select xmlns:th="http://www.thymeleaf.org" class="form-control" nash-th:name="*{path.fullPath}" th:attr="data-parsley-required=${data.mandatory}? true"></select>
            <input type="hidden" nash-th:name="*{path.fullPath} + '.label'" nash-th:value="*{null == value ? '' : value.label}" />
            <input type="hidden" nash-th:name="*{path.fullPath} + '.id'" nash-th:value="*{null == value ? '' : value.id}" />
        </div>
    </div>
</div>